<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('single_mails', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->text('to_add')->nullable();
            $table->text('cc')->nullable();
            $table->text('bcc')->nullable();
            $table->text('from')->nullable();
            $table->text('subject')->nullable();
            $table->text('content')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('single_mails');
    }
};
